TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = pdfadd

QT_VERSION=$$[QT_VERSION]
contains( QT_VERSION, "^5.*" ) {
QT += xml widgets
} else {
QT += xml
}

CONFIG	+= qt warn_off release
PDFADDVERSION=1.2
DEFINES += PDFADDVERSION=\\\"$${PDFADDVERSION}\\\"
DEFINES += HAVE_SPLASH

unix:!macx {
contains( QT_VERSION, "^5.*" ) {
CONFIG		+= link_pkgconfig
PKGCONFIG 	= poppler-qt5
DEFINES += POPPLER24
} else {
CONFIG		+= link_pkgconfig
PKGCONFIG 	= poppler-qt4
DETECTEDPOPPLER=$$system(pkg-config --modversion poppler)
contains( DETECTEDPOPPLER, "^0.18.*" ){
DEFINES += OLDPOPPLER
}
}
}

###############################
HEADERS	+= courbesdialog.h \
	trigodialog.h \
	binomdialog.h \
	espacedialog.h \
	suitesdialog.h \
	histodialog.h \
	boitesdialog.h \
	graphedialog.h \
	tabvardialog.h \
	arbredialog.h \
	types.h \
	convertisseur.h \
	geometriedialog.h \
	parser.hpp \
	eukparser.h \
	eukeditor.h \
	eukeditorview.h \
	eukhighlighter.h \
	linenumberwidget.h \
	objetdialog.h \
	pdfadd.h \
	toolbox.h \
	aidedialog.h \
	logdialog.h \
	logeditor.h \
	loghighlighter.h \
	latexhighlighter.h \
	listdelegate.h \
	psttablewidget.h \
	highlighter.h \
	blockdata.h \
	pdfviewer.h \
	pdfdocumentwidget.h \
	pdfscrollarea.h \
	asyeditor.h

SOURCES	+= main.cpp \
	trigodialog.cpp \
	espacedialog.cpp \
	binomdialog.cpp \
	suitesdialog.cpp \
	histodialog.cpp \
	boitesdialog.cpp \
	courbesdialog.cpp \
	graphedialog.cpp \
	tabvardialog.cpp \
	arbredialog.cpp \
	convertisseur.cpp \
	parser.cpp \
	geometriedialog.cpp \
	lexer.cpp \
	eukparser.cpp \
	eukeditor.cpp \
	eukeditorview.cpp \
	eukhighlighter.cpp \
	linenumberwidget.cpp \
	objetdialog.cpp \
	pdfadd.cpp \
	toolbox.cpp \
	aidedialog.cpp \
	logdialog.cpp \
	logeditor.cpp \
	loghighlighter.cpp \
	latexhighlighter.cpp \
	listdelegate.cpp \
	psttablewidget.cpp \
	highlighter.cpp \
	blockdata.cpp \
	pdfviewer.cpp \
	pdfdocumentwidget.cpp \
	pdfscrollarea.cpp \
	asyeditor.cpp

RESOURCES += pdfadd.qrc
FORMS += courbesdialog.ui \
	trigodialog.ui \
	binomdialog.ui \
	espacedialog.ui \
	suitesdialog.ui \
	histodialog.ui \
	boitesdialog.ui \
	graphedialog.ui \
	pdfadd.ui \
	aidedialog.ui \
	tabvardialog.ui \
	arbredialog.ui \
	geometriedialog.ui \
	objetdialog.ui \
	logdialog.ui
################################
unix:!macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
isEmpty( PREFIX ) {
    PREFIX=/usr
}
isEmpty( DESKTOPDIR ) {
    DESKTOPDIR=/usr/share/applications
}
isEmpty( ICONDIR ) {
    ICONDIR=/usr/share/pixmaps
}

DEFINES += PREFIX=\\\"$${PREFIX}\\\"

contains( QT_VERSION, "^5.*" ) {
INCLUDEPATH +=$${QTDIR}/include/
} 

LIBS         += -lz

target.path = $${PREFIX}/bin
utilities.path = $${PREFIX}/share/pdfadd
desktop.path = $${DESKTOPDIR}
icon.path = $${ICONDIR}

INSTALLS = target
HEADERS	+= x11fontdialog.h 
SOURCES	+= x11fontdialog.cpp
FORMS += x11fontdialog.ui

utilities.files = utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pag \
	utilities/exemple_arbre2.pag \
	utilities/exemple_binomiale1.pag \
	utilities/exemple_boites1.pag \
	utilities/exemple_boites2.pag \
	utilities/exemple_cercletrigo1.pag \
	utilities/exemple_courbes1.pag \
	utilities/exemple_espace1.pag \
	utilities/exemple_espace2.pag \
	utilities/exemple_geometrie1.pag \
	utilities/exemple_geometrie2.pag \
	utilities/exemple_graphe1.pag \
	utilities/exemple_graphe2.pag \
	utilities/exemple_graphe3.pag \
	utilities/exemple_graphe4.pag \
	utilities/exemple_histo1.pag \
	utilities/exemple_suite1.pag \
	utilities/exemple_suite2.pag \
	utilities/exemple_tabvar1.pag \
	utilities/pdfadd128x128.png \
	utilities/pdfadd16x16.png \
	utilities/pdfadd22x22.png \
	utilities/pdfadd32x32.png \
	utilities/pdfadd48x48.png \
	utilities/pdfadd64x64.png \
	utilities/pdfadd.svg \
	utilities/pdftabvar.tex \
	utilities/qt_fr.qm 
INSTALLS += utilities

desktop.files = utilities/pdfadd.desktop
INSTALLS += desktop

icon.files = utilities/pdfadd.png
INSTALLS += icon
}
